apiVersion: v1
kind: Secret
metadata:
  name: freeleaps-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.freeleaps.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.freeleaps.configs.appName | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.freeleaps.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.freeleaps.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.freeleaps.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.freeleaps.configs.mongodbPort | toString | b64enc }}
  EMAIL_FROM: {{ .Values.freeleaps.configs.emailFrom | b64enc | quote }}
  SITE_URL_ROOT: {{ .Values.freeleaps.configs.siteUrlRoot | b64enc | quote }}
  JWT_ALGORITHM: {{ .Values.freeleaps.configs.jwtAlgorithm | b64enc | quote }}
  RABBITMQ_HOST: {{ .Values.freeleaps.configs.rabbitmqHost | b64enc | quote }}
  RABBITMQ_PORT: {{ .Values.freeleaps.configs.rabbitmqPort | toString | b64enc }}
  RABBITMQ_USERNAME: {{ .Values.freeleaps.configs.rabbitmqUsername | b64enc | quote }}
  FREELEAPS_DEVSVC_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsDevsvcEndpoint | b64enc | quote }}
  FREELEAPS_CONTENT_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsContentEndpoint | b64enc | quote }}
  FREELEAPS_CENTRAL_STORAGE_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsCentralStorageEndpoint | b64enc | quote }}
  FREELEAPS_CHAT_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsChatEndpoint | b64enc | quote }}
  FREELEAPS_PAYMENT_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsPaymentEndpoint | b64enc | quote }}
  FREELEAPS_AUTHENTICATION_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsAuthenticationEndpoint | b64enc | quote }}
  FREELEAPS_AILAB_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsAilabEndpoint | b64enc | quote }}
  FREELEAPS_NOTIFICATION_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsNotificationEndpoint | b64enc | quote }}
  FREELEAPS_DEVOPS_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsDevopsEndpoint | b64enc | quote }}
  FREELEAPS_DEPLOYMENT_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsDeploymentEndpoint | b64enc | quote }}
  FREELEAPS_METRICS_ENDPOINT: {{ .Values.freeleaps.configs.freeleapsMetricsEndpoint | b64enc | quote }}
  APP_ENV: {{ .Values.freeleaps.configs.appEnv | b64enc | quote }}
  REDIS_IS_CLUSTER: {{ .Values.freeleaps.configs.redisIsCluster | b64enc | quote }}
  METRICS_ENABLED: {{ .Values.freeleaps.configs.metricsEnabled | default false | toString | b64enc }}
  PROBES_ENABLED: {{ .Values.freeleaps.configs.probesEnabled | default false | toString | b64enc }}
  GITEA_ENDPOINT: {{ .Values.freeleaps.configs.giteaEndpoint | b64enc | quote }}